package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.FwqCheckOther;

import java.util.Map;

public interface CheckOtherService_F {

    /**
     * 查询第三方暗访稽查数据
     *
     * @param page
     * @param size
     * @param fwqOtherCheck
     * @return
     */
    Object getAllCheckOther(Integer page, Integer size, FwqCheckOther fwqOtherCheck);

    /**
     * 新增稽查数据
     *
     * @param fwqOtherCheck
     */
    void addCheckOther(FwqCheckOther fwqOtherCheck);

    /**
     * 根据id删除稽查记录
     *
     * @param id
     */
    void deleteCheckOther(Long id);

    /**
     * 根据id修改稽查记录
     *
     * @param fwqOtherCheck
     */
    void updateCheckOther(FwqCheckOther fwqOtherCheck);

    /**
     * 根据id获取稽查记录
     *
     * @param id
     * @return
     */
    FwqCheckOther selectCheckById(Long id);

    /**
     * 统计数据
     *
     * @param fwqOtherCheck
     * @return
     */
    Map<String, Object> getCheckOtherStatistics(FwqCheckOther fwqOtherCheck);

}
